{
  "name": "uni2work",
  "version": "19.2.0",
  "description": "",
  "keywords": [],
  "author": "",
  "license": "ISC",
  "scripts": {
    "start": "npm-run-all frontend:build --parallel \"frontend:build:watch\" \"yesod:start\"",
    "test": "run-s frontend:test yesod:test i18n:test",
    "lint": "run-s frontend:lint yesod:lint",
    "build": "run-s frontend:build yesod:build",
    "cbt": "./cbt.sh",
    "yesod:db": "./db.sh",
    "yesod:start": "./start.sh",
    "yesod:lint": "./hlint.sh",
    "yesod:test": "./test.sh",
    "yesod:test:watch": "./test.sh --file-watch",
    "yesod:build": "./build.sh",
    "yesod:build:watch": "./build.sh --file-watch",
    "frontend:lint": "eslint frontend/src",
    "frontend:test": "karma start --conf karma.conf.js",
    "frontend:test:watch": "karma start --conf karma.conf.js --single-run false",
    "frontend:build": "webpack --progress",
    "frontend:build:watch": "webpack --watch --progress",
    "i18n:test": "./missing-translations.sh",
    "prerelease": "./is-clean.sh && npm run test",
    "release": "standard-version -a",
    "postrelease": "git push --follow-tags origin master"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint --edit $HUSKY_GIT_PARAMS"
    }
  },
  "lint-staged": {
    "frontend/src/**/*.js": [
      "eslint",
      "git add"
    ]
  },
  "standard-version": {
    "scripts": {
      "postbump": "./sync-versions.hs && git add -- package.yaml"
    },
    "commitUrlFormat": "https://gitlab2.rz.ifi.lmu.de/uni2work/uni2work/commit/{{hash}}",
    "compareUrlFormat": "https://gitlab2.rz.ifi.lmu.de/uni2work/uni2work/compare/{{previousTag}}...{{currentTag}}",
    "issueUrlFormat": "https://gitlab2.rz.ifi.lmu.de/uni2work/uni2work/issues/{{id}}",
    "userUrlFormat": "https://gitlab2.rz.ifi.lmu.de/{{user}}"
  },
  "browserslist": [
    "defaults"
  ],
  "devDependencies": {
    "@babel/cli": "^7.10.5",
    "@babel/core": "^7.11.4",
    "@babel/plugin-proposal-class-properties": "^7.10.4",
    "@babel/plugin-proposal-decorators": "^7.10.5",
    "@babel/plugin-transform-runtime": "^7.11.0",
    "@babel/preset-env": "^7.11.0",
    "@commitlint/cli": "^10.0.0",
    "@commitlint/config-conventional": "^10.0.0",
    "@fortawesome/fontawesome-pro": "^5.14.0",
    "autoprefixer": "^9.8.6",
    "babel-core": "^6.26.3",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.1.0",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-transform-decorators-legacy": "^1.3.5",
    "babel-preset-es2015": "^6.24.1",
    "cbt_tunnels": "^1.2.2",
    "clean-webpack-plugin": "^3.0.0",
    "copy-webpack-plugin": "^6.0.3",
    "css-loader": "^2.1.1",
    "eslint": "^5.16.0",
    "file-loader": "^5.1.0",
    "fs-extra": "^8.1.0",
    "glob": "^7.1.6",
    "html-webpack-plugin": "^3.2.0",
    "husky": "^2.7.0",
    "jasmine-core": "^3.6.0",
    "js-yaml": "^3.14.0",
    "karma": "^5.1.1",
    "karma-chrome-launcher": "^2.2.0",
    "karma-cli": "^2.0.0",
    "karma-jasmine": "^2.0.1",
    "karma-jasmine-html-reporter": "^1.5.4",
    "karma-mocha-reporter": "^2.2.5",
    "karma-webpack": "^3.0.5",
    "lint-staged": "^8.2.1",
    "mini-css-extract-plugin": "^0.8.2",
    "npm-run-all": "^4.1.5",
    "null-loader": "^2.0.0",
    "optimize-css-assets-webpack-plugin": "^5.0.3",
    "postcss-loader": "^3.0.0",
    "postcss-preset-env": "^6.7.0",
    "real-favicon-webpack-plugin": "^0.2.3",
    "remove-files-webpack-plugin": "^1.4.3",
    "request": "^2.88.2",
    "request-promise": "^4.2.6",
    "resolve-url-loader": "^3.1.1",
    "sass": "^1.26.10",
    "sass-loader": "^7.3.1",
    "semver": "^6.3.0",
    "standard-version": "^9.0.0",
    "style-loader": "^0.23.1",
    "terser-webpack-plugin": "^2.3.8",
    "tmp": "^0.1.0",
    "typeface-roboto": "0.0.75",
    "typeface-source-sans-pro": "0.0.75",
    "webpack": "^4.44.1",
    "webpack-cli": "^3.3.12",
    "webpack-manifest-plugin": "^2.2.0",
    "webpack-plugin-hash-output": "^3.2.1"
  },
  "dependencies": {
    "@babel/runtime": "^7.11.2",
    "@juggle/resize-observer": "^2.5.0",
    "core-js": "^3.6.5",
    "js-cookie": "^2.2.1",
    "lodash.debounce": "^4.0.8",
    "lodash.defer": "^4.1.0",
    "lodash.throttle": "^4.1.1",
    "moment": "^2.27.0",
    "npm": "^6.14.8",
    "sodium-javascript": "^0.5.6",
    "tail.datetime": "git+ssh://git@gitlab2.rz.ifi.lmu.de/uni2work/tail.DateTime.git#master",
    "toposort": "^2.0.2",
    "whatwg-fetch": "^3.4.0"
  }
}
